Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface ContentManagementServiceRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryRequestType

All Known Subinterfaces:
  CatalogContentRequestType, ValidateContentRequestType

All Known Implementing Classes:
  CatalogContentRequestTypeImpl, ContentManagementServiceRequestTypeImpl, ValidateContentRequestTypeImpl

    public interface ContentManagementServiceRequestType

extends RegistryRequestType

A representation of the model object 'Content Management Service Request Type'. Base type for all Content Management Service requests.

The following features are supported:

- `Original Content`
- `Invocation Control File`

See Also:
  `CMSPackage.getContentManagementServiceRequestType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getInvocationControlFile()` Returns the value of the 'Invocation Control File' containment reference list.
`RegistryObjectListType` | `getOriginalContent()` Returns the value of the 'Original Content' containment reference.
`void` | `setOriginalContent(RegistryObjectListType value)` Sets the value of the '`Original Content`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOriginalContent

    RegistryObjectListType getOriginalContent()

  Returns the value of the 'Original Content' containment reference.

  If the meaning of the 'Original Content' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Original Content' containment reference.
  See Also:
    `setOriginalContent(RegistryObjectListType)`, `CMSPackage.getContentManagementServiceRequestType_OriginalContent()`

### setOriginalContent

    void setOriginalContent(RegistryObjectListType value)

  Sets the value of the '`Original Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Original Content' containment reference.
  See Also:
    `getOriginalContent()`

### getInvocationControlFile

    org.eclipse.emf.common.util.EList getInvocationControlFile()

  Returns the value of the 'Invocation Control File' containment reference list. The list contents are of type `ExtrinsicObjectType`.

  If the meaning of the 'Invocation Control File' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Invocation Control File' containment reference list.
  See Also:
    `CMSPackage.getContentManagementServiceRequestType_InvocationControlFile()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD